package com.ozs.common.enums;

/**
 * 项目管理的项目状态
 *
 * @author buzhanyi
 */
public enum PmProjectStatus {
    DEMAND_WAIT_FILL("4", "需求待填制"),
    DEMAND_WAIT_COMMIT("5", "需求待提交"),
    DEMAND_WAIT_AUDIT("6", "需求待审核"),
    DEMAND_AUDIT_RETURN("7", "需求已退回"),
    TASK_WAIT_RELEASE("8", "任务待下达"),
    PURCHASE_DEMAND_DOCKING("9", "采购需求对接"),
    EXPERT_FEEDBACK("10", "专家意见反馈"),
    PROCUREMENT_DOCUMENTS_REVIEW ("11", "采购文件编制审核"),
    PROCUREMENT_ANNOUNCEMENT("12", "采购公告发布"),
    PRE_BID_QUERY("13", "标前质疑投诉"),
    WAIT_OPEN_BID("14", "待开标"),
    BID_RESULT_ANNOUNCEMENT("15", "评标结果公告"),
    WASTE_BID_HANDLE("16", "流废标处置"),
    POST_BID_QUERY("17", "标后质疑"),
    WASTE_BID_RETURN("18", "流废标退回"),
    CONTRACT_WAIT_FILL("19", "合同待填制"),
    UNDER_CONSTRUCTION("20", "项目建设中"),
    COMPLETION_CONSTRUCTION("21", "项目已完成");


    private final String code;
    private final String info;

    PmProjectStatus(String code, String info) {
        this.code = code;
        this.info = info;
    }

    public String getCode() {
        return code;
    }

    public String getInfo() {
        return info;
    }
}
